#include <bits/stdc++.h>

using namespace std;

ifstream fi ("dqqt.inp");
ofstream fo ("dqqt.out");

int Q(int n, int i){
  int a;
  if (i%2==1){a=1;}
  else {a=-1;}
  if (i<n){
    return a*i+Q(n,i+1);
  }
}
int P(int n,int i){
  if (i<n){
    return i*P(n,i+1);
  }
}

int T (int n, int i){
  if (i<=n){
    return P(i,1)+T(n,i+1);
  }

}

int main(){
 int n;
 fi>>n;
 fo<<Q(n,1)<<endl<<T(n,1)-n-1;

}
